<template>
  <v-container class="fill-height" fluid>
    <v-row class="d-flex align-center justify-center align-content-center">
      <v-col cols="10" sm="8" md="6" lg="4">

        <v-card class="elevation-12">
          <v-toolbar color="primary" dark flat>
            <v-toolbar-title>Login</v-toolbar-title>
          </v-toolbar>
          <v-card-text>
            <v-form class="mt-4">
              <v-text-field
                  label="Email"
                  name="email"
                  type="email"
                  v-model="email"
                  outlined
                  prepend-icon="fas fa-user"
              ></v-text-field>
            </v-form>
          </v-card-text>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="primary" @click="login">
              Accedi
            </v-btn>
          </v-card-actions>
        </v-card>

      </v-col>
    </v-row>
  </v-container>
</template>

<script>

export default {
  name: "Login",
  data: () => ({
    valid: false,
    firstname: '',
    lastname: '',
    nameRules: [
      v => !!v || 'Name is required',
      v => v.length <= 10 || 'Name must be less than 10 characters',
    ],
    email: '',
    emailRules: [
      v => !!v || 'E-mail is required',
      v => /.+@.+/.test(v) || 'E-mail must be valid',
    ],
  }),
  methods: {
    login () {
      try {
        this.$store.dispatch('login', {
          email: this.email
        })
      } catch (error) {
        window.alert('Password errata!')
      }
    }
  }
}
</script>

<style scoped>

</style>
